/*
 *  source code metrics counter
 *  Copyright (C) 2015-2016  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRCNTSTRUCTURE_H_
#define CDMTRCNTSTRUCTURE_H_

/** \gNXpp[^\ */
typedef struct tag_DoStruct {
    int iLangType;
    _TCHAR *pcLangOpt;              /** ʂ̃IvV */
    _TCHAR *pcNkfFile;              /** gNXΏۃt@C */
    _TCHAR *pcResultFile;           /** gNX茋ʃt@C */
    _TCHAR *pcOptionCharset;        /** CHARSETIvV */
    _TCHAR *pcDirPath;              /** Ώۃt@CpX̃fBNg */
    _TCHAR *pcFName;                /** Ώۃt@C */
    _TCHAR *pcLangName;             /** ʖ */
    _TCHAR *pcOptionDebug;          /** DebugIvV */
    _TCHAR *pcOptionDebug2;         /** Debug2IvV */
    _TCHAR *pcErrOutFile;           /** WG[o͗pt@C */
    const _TCHAR *pcFileNameLogOut; /** \gNXt@CpX(Oo͗p) */
} _DoStruct;

typedef struct tag_DoStructNode {
	
	_DoStruct doStruct;
   struct tag_DoStructNode *next;
} _DoStructNode ;

/** Structure to store the information related
 *  to head and tail.
 */

typedef struct tag_DoStructList {

	_DoStructNode *listHead;
	_DoStructNode *listTail;
} _DoStructList;

typedef struct tag_DoStructLists {
	
	_DoStructList *javaList;
	_DoStructList *jsList;
	_DoStructList *c_cppList;
	_DoStructList *csList;
	_DoStructList *vbList;
} _DoStructLists ;


extern int CDMtrCntStructureDoStructProcess(_FileList *pcFileName);
extern int CDMtrCntStructureStructRecordCheckAndMod(_TCHAR *pcBuffer);

#endif
